commit: 06a296c86966e393c796190cdf287e2bdad59494
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 7 20:47:46 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Aug 7 22:52:10 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06a296c8
media-fonts/font-misc-ethiopic: Version bump to 1.0.4
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
media-fonts/font-misc-ethiopic/Manifest | 1 +
.../font-misc-ethiopic-1.0.4.ebuild | 27 ++++++++++++++++++++++
2 files changed, 28 insertions(+)
diff --git a/media-fonts/font-misc-ethiopic/Manifest
b/media-fonts/font-misc-ethiopic/Manifest
index 5389338f4b9..d75850858a9 100644
--- a/media-fonts/font-misc-ethiopic/Manifest
+++ b/media-fonts/font-misc-ethiopic/Manifest
@@ -1 +1,2 @@
DIST font-misc-ethiopic-1.0.3.tar.bz2 245606 BLAKE2B
e0cf89f4500226b7213d6f3f88b3bf575501140d8742fe5e30b07eefd2c1fe2fc9bfe941639032d3b5ce45eb7e6f352af7b6468e7f8b0fc941ed9cee8d531f96
SHA512
b3e3f7462f37216796730a894761c7d60d5ede0f51351997e6c3c92e3136c788a2710690f482d05ed1396a4b6be452e1f871febc7e5b7a1a67e43bcc1ec7c77d
+DIST font-misc-ethiopic-1.0.4.tar.bz2 270076 BLAKE2B
b27d188fcb5be3e4e5fed810f26c0f5edf5a51a3532bd51b44e55283518bc1a353054da4f37c5535197eeb6958bfe1567ab54d1d9f428b046b84c5d1233aae21
SHA512
4fed9ff3782746898c56dac199e9ca89356f4967779937049b9ff4ffad202317c023859f92d44b371dfa5485d5368ccad648e64b12cde0ed21f7d4aee5affcd5
diff --git a/media-fonts/font-misc-ethiopic/font-misc-ethiopic-1.0.4.ebuild
b/media-fonts/font-misc-ethiopic/font-misc-ethiopic-1.0.4.ebuild
new file mode 100644
index 00000000000..cc322ce0539
--- /dev/null
+++ b/media-fonts/font-misc-ethiopic/font-misc-ethiopic-1.0.4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+FONT_DIR="OTF"
+
+inherit xorg-3
+
+DESCRIPTION="Miscellaneous Ethiopic fonts"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sparc ~x86"
+
+XORG_CONFIGURE_OPTIONS=(
+ --with-fontrootdir="${EPREFIX}/usr/share/fonts"
+
+ # This flag unexpectedly doesn't control whether the font (i.e. the
.ttf file)
+ # is installed, but instead only controls whether mkfontscale/mkfontdir
is
+ # run. I suspect this is a bug.
+ --disable-truetype-install
+)
+
+src_install() {
+ xorg-3_src_install
+
+ # TTF fonts are not supposed to be installed.
+ rm -r "${ED}/usr/share/fonts/TTF" || die
+}